package com.namasoft.contracts.common.dtos.requests;

import com.namasoft.common.flatobjects.EntityReferenceData;
import com.namasoft.common.layout.metadata.*;

import jakarta.xml.bind.annotation.*;
import java.io.Serializable;
import java.util.*;

@XmlAccessorType(XmlAccessType.PROPERTY)
public class MobileAppUserSettings implements Serializable
{
	private List<String> loadedModules;
	private Map<String, FieldAllowedValueInfo> textFieldsAllowedValues;
	private DTOMobileAppMenuDefinitionResp menuDefinition;
	private Map<String, DTOMobileAppScreenModifierResp> screenModifiers;
	private Map<String, String> arabicTranslations;
	private Map<String, String> englishTranslations;
	private Map<String, ArrayList<String>> mobileFieldCriteria;
	private Boolean canCreateCustomer;
	private EntityReferenceData userDefaultPaymentMethod;

	public Map<String, String> getArabicTranslations()
	{
		return arabicTranslations;
	}

	public void setArabicTranslations(Map<String, String> arabicTranslations)
	{
		this.arabicTranslations = arabicTranslations;
	}

	public Map<String, String> getEnglishTranslations()
	{
		return englishTranslations;
	}

	public void setEnglishTranslations(Map<String, String> englishTranslations)
	{
		this.englishTranslations = englishTranslations;
	}

	public List<String> getLoadedModules()
	{
		return loadedModules;
	}

	public void setLoadedModules(List<String> loadedModules)
	{
		this.loadedModules = loadedModules;
	}

	public Boolean getCanCreateCustomer()
	{
		return canCreateCustomer;
	}

	public void setCanCreateCustomer(Boolean canCreateCustomer)
	{
		this.canCreateCustomer = canCreateCustomer;
	}

	public Map<String, ArrayList<String>> getMobileFieldCriteria()
	{
		return mobileFieldCriteria;
	}

	public void setMobileFieldCriteria(Map<String, ArrayList<String>> mobileFieldCriteria)
	{
		this.mobileFieldCriteria = mobileFieldCriteria;
	}

	public Map<String, DTOMobileAppScreenModifierResp> getScreenModifiers()
	{
		return screenModifiers;
	}

	public void setScreenModifiers(Map<String, DTOMobileAppScreenModifierResp> screenModifiers)
	{
		this.screenModifiers = screenModifiers;
	}

	public DTOMobileAppMenuDefinitionResp getMenuDefinition()
	{
		return menuDefinition;
	}

	public void setMenuDefinition(DTOMobileAppMenuDefinitionResp menuDefinition)
	{
		this.menuDefinition = menuDefinition;
	}

	public EntityReferenceData getUserDefaultPaymentMethod()
	{
		return userDefaultPaymentMethod;
	}

	public void setUserDefaultPaymentMethod(EntityReferenceData userDefaultPaymentMethod)
	{
		this.userDefaultPaymentMethod = userDefaultPaymentMethod;
	}

	public Map<String, FieldAllowedValueInfo> getTextFieldsAllowedValues()
	{
		return textFieldsAllowedValues;
	}

	public void setTextFieldsAllowedValues(Map<String, FieldAllowedValueInfo> textFieldsAllowedValues)
	{
		this.textFieldsAllowedValues = textFieldsAllowedValues;
	}
}
